## qt6-base 6.2.4

=== src/3rdparty/CMakeLists.txt ===
# special case skip regeneration
# The file is maintained manually

if(QT_FEATURE_gui AND QT_FEATURE_png AND NOT QT_FEATURE_system_png)
    add_subdirectory(libpng)
endif()
qt_install_3rdparty_library_wrap_config_extra_file(BundledLibpng)

if(QT_FEATURE_gui AND QT_FEATURE_freetype AND NOT QT_FEATURE_system_freetype)
    add_subdirectory(freetype)
endif()
qt_install_3rdparty_library_wrap_config_extra_file(BundledFreetype)

if(QT_FEATURE_gui AND QT_FEATURE_harfbuzz AND NOT QT_FEATURE_system_harfbuzz)
    add_subdirectory(harfbuzz-ng)
endif()
qt_install_3rdparty_library_wrap_config_extra_file(BundledHarfbuzz)

if(QT_FEATURE_regularexpression AND NOT QT_FEATURE_system_pcre2)
    add_subdirectory(pcre2)
endif()
qt_install_3rdparty_library_wrap_config_extra_file(BundledPcre2)

if (ANDROID)
    add_subdirectory(gradle)
endif()

=== examples/corelib/bindableproperties/CMakeLists.txt ===
qt_internal_add_example(bindablesubscription)
qt_internal_add_example(subscription)

=== examples/network/network-chat/CMakeLists.txt ===
# Generated from network-chat.pro.

cmake_minimum_required(VERSION 3.16)
project(network-chat LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/network/network-chat")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Network)
find_package(Qt6 COMPONENTS Widgets)

qt_add_executable(network-chat
    chatdialog.cpp chatdialog.h chatdialog.ui
    client.cpp client.h
    connection.cpp connection.h
    main.cpp
    peermanager.cpp peermanager.h
    server.cpp server.h
)
set_target_properties(network-chat PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(network-chat PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Network
    Qt::Widgets
)

install(TARGETS network-chat
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/widgets/draganddrop/CMakeLists.txt ===
# Generated from draganddrop.pro.

qt_internal_add_example(draggableicons)
qt_internal_add_example(draggabletext)
qt_internal_add_example(dropsite)
qt_internal_add_example(fridgemagnets)
qt_internal_add_example(puzzle)

=== src/3rdparty/pcre2/CMakeLists.txt ===
# Generated from pcre2.pro.

#####################################################################
## BundledPcre2 Generic Library:
#####################################################################

qt_internal_add_3rdparty_library(BundledPcre2
    QMAKE_LIB_NAME pcre2
    STATIC
    SOURCES
        src/config.h
        src/pcre2.h
        src/pcre2_auto_possess.c
        src/pcre2_chartables.c
        src/pcre2_compile.c
        src/pcre2_config.c
        src/pcre2_context.c
        src/pcre2_dfa_match.c
        src/pcre2_error.c
        src/pcre2_extuni.c
        src/pcre2_find_bracket.c
        src/pcre2_internal.h
        src/pcre2_intmodedep.h
        src/pcre2_jit_compile.c
        src/pcre2_maketables.c
        src/pcre2_match.c
        src/pcre2_match_data.c
        src/pcre2_newline.c
        src/pcre2_ord2utf.c
        src/pcre2_pattern_info.c
        src/pcre2_script_run.c
        src/pcre2_serialize.c
        src/pcre2_string_utils.c
        src/pcre2_study.c
        src/pcre2_substitute.c
        src/pcre2_substring.c
        src/pcre2_tables.c
        src/pcre2_ucd.c
        src/pcre2_ucp.h
        src/pcre2_valid_utf.c
        src/pcre2_xclass.c
    DEFINES
        HAVE_CONFIG_H
    PUBLIC_DEFINES
        PCRE2_CODE_UNIT_WIDTH=16
    PUBLIC_INCLUDE_DIRECTORIES
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
)
qt_disable_warnings(BundledPcre2)
qt_set_symbol_visibility_hidden(BundledPcre2)

## Scopes:
#####################################################################

qt_internal_extend_target(BundledPcre2 CONDITION QNX OR UIKIT
    DEFINES
        PCRE2_DISABLE_JIT
)

qt_internal_extend_target(BundledPcre2 CONDITION (TEST_architecture_arch STREQUAL "arm") AND WIN32
    DEFINES
        PCRE2_DISABLE_JIT
)

qt_internal_extend_target(BundledPcre2 CONDITION (TEST_architecture_arch STREQUAL "arm64") AND WIN32
    DEFINES
        PCRE2_DISABLE_JIT
)

if (APPLE)
    target_compile_options(BundledPcre2 PRIVATE "SHELL:-Xarch_arm64 -DPCRE2_DISABLE_JIT")
endif()

qt_internal_extend_target(BundledPcre2 CONDITION WIN32
    PUBLIC_DEFINES
        PCRE2_STATIC
)

#### Keys ignored in scope 8:.:.:pcre2.pri:QT_FEATURE_intelcet:
# QMAKE_CFLAGS = "$$QMAKE_CFLAGS_SHSTK"

# special case begin
qt_internal_apply_intel_cet(BundledPcre2 PRIVATE)
# special case end

=== tests/auto/corelib/text/CMakeLists.txt ===
# Generated from text.pro.

add_subdirectory(qanystringview)
add_subdirectory(qbytearray)
add_subdirectory(qbytearrayapisymmetry)
add_subdirectory(qbytearraylist)
add_subdirectory(qbytearraymatcher)
add_subdirectory(qbytearrayview)
add_subdirectory(qbytedatabuffer)
add_subdirectory(qchar)
add_subdirectory(qcollator)
add_subdirectory(qlatin1string)
add_subdirectory(qregularexpression)
add_subdirectory(qstring)
add_subdirectory(qstring_no_cast_from_bytearray)
add_subdirectory(qstringapisymmetry)
add_subdirectory(qstringbuilder)
add_subdirectory(qstringconverter)
add_subdirectory(qstringiterator)
add_subdirectory(qstringlist)
add_subdirectory(qstringmatcher)
add_subdirectory(qstringtokenizer)
add_subdirectory(qstringview)
add_subdirectory(qtextboundaryfinder)
# QTBUG-87414 # special case
if(NOT ANDROID)
    add_subdirectory(qlocale)
endif()

=== tests/manual/highdpi/kitchensink/CMakeLists.txt ===
# Generated from kitchensink.pro.

#####################################################################
## kitchensink Binary:
#####################################################################

qt_internal_add_manual_test(kitchensink
    SOURCES
        dragwidget.cpp dragwidget.h
        main.cpp
    DEFINES
        HAVE_SCREEN_BASE_DPI
    INCLUDE_DIRECTORIES
        .
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Widgets
)

# Resources:
set(kitchensink_resource_files
    "qticon16.png"
    "qticon16@2x.png"
    "qticon16@3x.png"
    "qticon32.png"
    "qticon32@2x.png"
    "qticon64.png"
)

qt_internal_add_resource(kitchensink "kitchensink"
    PREFIX
        "/"
    FILES
        ${kitchensink_resource_files}
)


#### Keys ignored in scope 1:.:.:kitchensink.pro:<TRUE>:
# TEMPLATE = "app"

=== examples/widgets/tutorials/addressbook/part2/CMakeLists.txt ===
# Generated from part2.pro.

cmake_minimum_required(VERSION 3.16)
project(part2 LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/widgets/tutorials/addressbook/part2")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Widgets)

qt_add_executable(part2
    addressbook.cpp addressbook.h
    main.cpp
)
set_target_properties(part2 PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(part2 PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Widgets
)

install(TARGETS part2
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/corelib/tools/qeasingcurve/CMakeLists.txt ===
# Generated from qeasingcurve.pro.

#####################################################################
## tst_qeasingcurve Test:
#####################################################################

qt_internal_add_test(tst_qeasingcurve
    SOURCES
        tst_qeasingcurve.cpp
)

=== tests/auto/gui/kernel/qguiapplication/CMakeLists.txt ===
# Generated from qguiapplication.pro.

if(NOT QT_FEATURE_private_tests)
    return()
endif()

#####################################################################
## tst_qguiapplication Test:
#####################################################################

# special case begin
if (WIN32)
    set(target_version "1.2.3.4")
else()
    set(target_version "1.2.3")
endif()
# special case end

qt_internal_add_test(tst_qguiapplication
    VERSION ${target_version} # special case
    SOURCES
        ../../../corelib/kernel/qcoreapplication/tst_qcoreapplication.cpp ../../../corelib/kernel/qcoreapplication/tst_qcoreapplication.h # special case
        tst_qguiapplication.cpp
    DEFINES
        QT_DISABLE_DEPRECATED_BEFORE=0x050E00
        QT_QGUIAPPLICATIONTEST=1
    INCLUDE_DIRECTORIES
        ../../../corelib/kernel/qcoreapplication
    PUBLIC_LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
)

# Resources:
set(tst_qguiapplication_resource_files
    "icons/appicon.png"
    "icons/usericon.png"
)

qt_internal_add_resource(tst_qguiapplication "tst_qguiapplication"
    PREFIX
        "/"
    FILES
        ${tst_qguiapplication_resource_files}
)

if (ANDROID)
    set_property(TARGET tst_qguiapplication PROPERTY QT_ANDROID_VERSION_NAME ${target_version})
endif()
# special case begin
if (APPLE)
    set_property(TARGET tst_qguiapplication PROPERTY MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist")
    set_property(TARGET tst_qguiapplication PROPERTY PROPERTY MACOSX_BUNDLE TRUE)
endif()
# special case end

## Scopes:
#####################################################################

#### Keys ignored in scope 3:.:../../../corelib/kernel/qcoreapplication:../../../corelib/kernel/qcoreapplication/qcoreapplication.pro:WIN32:
# VERSION = "1.2.3.4"

#### Keys ignored in scope 4:.:../../../corelib/kernel/qcoreapplication:../../../corelib/kernel/qcoreapplication/qcoreapplication.pro:else:
# VERSION = "1.2.3"

=== tests/auto/gui/util/qregularexpressionvalidator/CMakeLists.txt ===
# Generated from qregularexpressionvalidator.pro.

#####################################################################
## tst_qregularexpressionvalidator Test:
#####################################################################

qt_internal_add_test(tst_qregularexpressionvalidator
    SOURCES
        tst_qregularexpressionvalidator.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
)

=== tests/auto/widgets/graphicsview/qgraphicspixmapitem/CMakeLists.txt ===
# Generated from qgraphicspixmapitem.pro.

#####################################################################
## tst_qgraphicspixmapitem Test:
#####################################################################

qt_internal_add_test(tst_qgraphicspixmapitem
    SOURCES
        tst_qgraphicspixmapitem.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::Widgets
)

=== debian/changelog ===
qt6-base (6.2.4-1+dde) unstable; urgency=medium

  * New upstream release (6.2.4).

 -- Duan Ting <duanting@uniontech.com>  Thu, 09 Jun 2022 11:00:49 +0800

qt6-base (6.2.2.1+dde) unstable; urgency=medium

  * Update symbols fils.
  * Update i386 symbols.

 -- Lu YaNing <luyaning@uniontech.com>  Fri, 18 Feb 2022 13:43:32 +0800

qt6-base (6.2.2+dfsg-2) experimental; urgency=medium

  [ Pino Toscano ]
  * Update symbols files from the logs of buildds.

  [ Patrick Franz ]
  * Remove copyright-script as it is now in the pkg-kde-tools package.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add a qmake6 symlink to usr/bin.

 -- Patrick Franz <deltaone@debian.org>  Fri, 31 Dec 2021 18:44:53 +0100

qt6-base (6.2.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Update ABI to 6.2.2.
  * Update installed files.
  * Update lintian-overrides.
  * Update symbols.
  * Remove unneeded licenses from d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Dec 2021 23:55:33 +0100

qt6-base (6.2.1+dfsg-5) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds; do manual fixes for vulkan
    symbols in qt6gui6 for 32bit vs 64bit versions, and for CPU-specific ones.

 -- Pino Toscano <pino@debian.org>  Sun, 21 Nov 2021 19:58:51 +0100

qt6-base (6.2.1+dfsg-4) experimental; urgency=medium

  * Team upload.
  * Update install files for Linux-only bits.
  * Update libqt6test6.symbols for 32bit architectures.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Nov 2021 16:53:32 +0100

qt6-base (6.2.1+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Restrict the liblttng-ust-dev build dependency as linux-any, as it is
    specific for Linux.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Nov 2021 12:29:08 +0100

qt6-base (6.2.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Change path for libexec.

 -- Patrick Franz <deltaone@debian.org>  Sat, 20 Nov 2021 03:07:02 +0100

qt6-base (6.2.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Tighten dependencies.
  * New upstream release (6.2.1).
  * Update ABI to 6.2.1.
  * Update installed files.
  * Update symbols.

 -- Patrick Franz <deltaone@debian.org>  Fri, 05 Nov 2021 15:51:24 +0100

qt6-base (6.2.0+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #994478).

 -- Patrick Franz <deltaone@debian.org>  Fri, 17 Sep 2021 02:34:49 +0200

=== debian/control ===
Source: qt6-base
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               default-libmysqlclient-dev,
               dh-exec,
               firebird-dev [kfreebsd-any linux-any],
               libatspi2.0-dev,
               libb2-dev,
               libcups2-dev,
               libdbus-1-dev,
               libdouble-conversion-dev,
               libdrm-dev [linux-any],
               libfontconfig-dev,
               libfreetype-dev,
               libgbm-dev [linux-any],
               libgl-dev,
               libgl1-mesa-dev,
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libharfbuzz-dev,
               libicu-dev,
               libinput-dev [linux-any],
               libjpeg-dev,
               libkrb5-dev,
               liblttng-ust-dev [linux-any],
               libmd4c-dev,
               libmd4c-html0-dev,
               libmtdev-dev [linux-any],
               libpcre2-dev,
               libpng-dev,
               libpq-dev,
               libproxy-dev,
               libsctp-dev [linux-any],
               libsqlite3-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libts-dev,
               libudev-dev [linux-any],
               libvulkan-dev [linux-any],
               libwayland-dev [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-glx0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libzstd-dev,
               ninja-build,
               pkg-config,
               pkg-kde-tools (>= 0.15.17~),
               unixodbc-dev,
               zlib1g-dev,
Standards-Version: 4.6.0
Section: libs
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-base.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-base

Package: libqt6core6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Provides: qt6-base-abi (= 6.2.4)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: libqt6concurrent6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 concurrent module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtConcurrent module contains functionality to support concurrent execution
 of program code.

Package: libqt6dbus6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 D-Bus module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDBus module is a Unix-only library that you can use to make Inter-Process
 Communication using the D-Bus protocol.
 .
 Applications using the QtDBus module can provide services to other, remote
 applications by exporting objects, as well as use services exported by those
 applications by placing calls and accessing properties.

Package: libqt6gui6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Breaks: qt6-qpa-plugins (<< 6.2.4~)
Replaces: qt6-qpa-plugins (<< 6.2.4~)
Recommends: qt6-gtk-platformtheme
Description: Qt 6 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: qt6-qpa-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt6gui6 (<< 6.2.4~), libqt6network6 (<< 6.2.4~)
Description: Qt 6 EGL plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains QPA-related plugins.

Package: qt6-gtk-platformtheme
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 GTK+ 3 platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the GTK+ 3 platform theme, which makes Qt use
 native icon themes, fonts, and dialogs on GTK-based environments.

Package: qt6-xdgdesktopportal-platformtheme
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 XDG Desktop Portal platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the XDG Desktop portal platform theme, which makes
 Qt use native file dialogs on Flatpak/Snap based environments.

Package: libqt6opengl6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 OpenGL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: libqt6openglwidgets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 OpenGL widgets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.
 .
 The OpenGL widgets module provides the widget for rendering OpenGL graphics.

Package: libqt6network6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${libssl:Depends}, ${misc:Depends}, ${shlibs:Depends}
Breaks: qt6-qpa-plugins (<< 6.2.4~)
Replaces: qt6-qpa-plugins (<< 6.2.4~)
Description: Qt 6 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt6sql6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt6sql6-sqlite | libqt6sql6-mysql | libqt6sql6-odbc | libqt6sql6-psql | libqt6sql6-ibase,
Description: Qt 6 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.

Package: libqt6sql6-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 MySQL database driver
 This package contains the MySQL plugin for Qt 6.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MySQL DB.

Package: libqt6sql6-odbc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 ODBC database driver
 This package contains the ODBC plugin for Qt 6.
 .
 Install it if you intend to use or write Qt programs that are to access an
 ODBC DB.

Package: libqt6sql6-psql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 PostgreSQL database driver
 This package contains the PostgreSQL plugin for Qt 6.
 .
 Install it if you intend to use or write Qt programs that are to access a
 PostgreSQL DB.

Package: libqt6sql6-sqlite
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 SQLite 3 database driver
 This package contains the SQLite 3 plugin for Qt 6.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 3 DB.

Package: libqt6sql6-ibase
Architecture: kfreebsd-any linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Firebird database driver
 This package contains the Firebird plugin for Qt 6.
 .
 Install it if you intend to use or write Qt programs that are to access a
 Firebird/InterBase DB.

Package: libqt6test6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 test module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtTest module provides classes for unit testing Qt applications and
 libraries.

Package: libqt6widgets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 widgets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtWidgets module extends QtGui with C++ widget functionality.

Package: libqt6xml6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 XML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtXml module provides a stream reader and writer for XML documents,
 and C++ implementations of SAX and DOM.

Package: libqt6printsupport6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libcups2
Description: Qt 6 print support module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtPrintSupport module provides classes to make printing easier and
 portable.

Package: qt6-base-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgl-dev,
         libglx-dev,
         libopengl-dev,
         libqt6concurrent6 (= ${binary:Version}),
         libqt6core6 (= ${binary:Version}),
         libqt6dbus6 (= ${binary:Version}),
         libqt6gui6 (= ${binary:Version}),
         libqt6network6 (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
sslpkgname := $(shell dpkg-query --show '--showformat=$${Depends}' libssl-dev | cut -d ' ' -f1)

ifneq (,$(filter libqt6sql6-ibase,$(shell dh_listpackages)))
        extra_cmake_args += -DFEATURE_sql_ibase=ON
else
        extra_cmake_args += -DFEATURE_sql_ibase=OFF
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
        extra_cmake_args += -DFEATURE_sctp=ON
else
        extra_cmake_args += -DFEATURE_sctp=OFF
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja


override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DINSTALL_BINDIR=lib/qt6/bin \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DINSTALL_LIBEXECDIR=lib/qt6/libexec \
		-DINSTALL_ARCHDATADIR=lib/$(DEB_HOST_MULTIARCH)/qt6 \
		-DINSTALL_EXAMPLESDIR=lib/$(DEB_HOST_MULTIARCH)/qt6/examples \
		-DINSTALL_DATADIR=share/qt6 \
		-DINSTALL_HOSTDATADIR=lib/$(DEB_HOST_MULTIARCH)/qt6 \
		-DINSTALL_DOCDIR=share/qt6/doc \
		-DINSTALL_SYSCONFDIR=/etc/xdg \
		-DINSTALL_INCLUDEDIR=include/$(DEB_HOST_MULTIARCH)/qt6 \
		-DINSTALL_PLUGINDIR=lib/$(DEB_HOST_MULTIARCH)/qt6/plugins \
		-DINSTALL_TRANSLATIONDIR=share/qt6/translations \
		-DINSTALL_MKSPECSDIR=lib/$(DEB_HOST_MULTIARCH)/qt6/mkspecs \
		-DINSTALL_PUBLICBINDIR=bin \
		-DBUILD_EXAMPLES=ON \
		-DFEATURE_mimetype_database=OFF \
		-DFEATURE_dbus_linked=ON \
		-DFEATURE_accessibility=ON \
		-DFEATURE_doubleconversion=ON \
		-DFEATURE_glib=ON \
		-DFEATURE_icu=ON \
		-DFEATURE_pcre2=ON \
		-DFEATURE_system_pcre2=ON \
		-DFEATURE_zlib=ON \
		-DFEATURE_ssl=ON \
		-DFEATURE_libproxy=ON \
		-DFEATURE_system_proxies=ON \
		-DFEATURE_cups=ON \
		-DFEATURE_fontconfig=ON \
		-DFEATURE_freetype=ON \
		-DFEATURE_harfbuzz=ON \
		-DFEATURE_gtk=ON \
		-DFEATURE_directfb=OFF \
		-DFEATURE_sql_odbc=ON \
		-DFEATURE_sql_mysql=ON \
		-DFEATURE_sql_psql=ON \
		-DFEATURE_sql_sqlite=ON \
		-DFEATURE_system_sqlite=ON \
		-DFEATURE_jpeg=ON \
		-DFEATURE_system_jpeg=ON \
		-DFEATURE_png=ON \
		-DFEATURE_system_png=ON \
		-DFEATURE_system_libb2=ON \
		-DFEATURE_rpath=OFF \
		-DFEATURE_relocatable=OFF \
		$(extra_cmake_args)


execute_after_dh_auto_install:
	# Policy § 10.4. Remove this if https://bugs.debian.org/904409 gets fixed.
	sed -i 's,bin/env perl,bin/perl,' debian/tmp/usr/lib/qt6/libexec/*.pl \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt6/mkspecs/features/data/unix/findclasslist.pl

	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

	# Specifies parameters to pass to the platform plugin.
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt6
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/' debian/qt.conf.in \
		> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt6/qt6.conf

override_dh_makeshlibs:
	dh_makeshlibs -XlibQt6EglFSDeviceIntegration -XlibQt6EglFsKmsGbmSupport -XlibQt6EglFsKmsSupport -XlibQt6XcbQpa

execute_after_dh_shlibdeps-arch:
	echo libssl:Depends=$(sslpkgname) >> debian/libqt6network6.substvars
